'use strict';
var __importDefault =
  (this && this.__importDefault) ||
  function (mod) {
    return mod && mod.__esModule ? mod : { default: mod };
  };
Object.defineProperty(exports, '__esModule', { value: true });
const puppeteer_1 = __importDefault(require('puppeteer'));
const constants_1 = require('./constants');
const injector_1 = require('./injector');
const manager_1 = require('./manager');
let browser;
let page;
beforeAll(async () => {
  browser = await puppeteer_1.default.launch({
    headless: true,
    executablePath: constants_1.TestBrowserExecutablePath,
  });
  page = await browser.newPage();
});
afterAll(async () => {
  await (browser === null || browser === void 0 ? void 0 : browser.close());
});
it('can inject the SessionManager', async () => {
  const injected = injector_1.inject(page);
  expect(injected.session).toBeInstanceOf(manager_1.SessionManager);
});
//# sourceMappingURL=injector.spec.js.map
