"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.inject = void 0;
const session_manager_1 = require("../classes/session-manager");
/**
 * Inject a new SessionPlugin instance into a Puppeteer page.
 * Makes self available on the `session` property.
 */
function inject(page) {
    if (page.session) {
        return page;
    }
    return Object.defineProperty(page, 'session', {
        value: new session_manager_1.SessionManager(page),
        writable: false,
    });
}
exports.inject = inject;
//# sourceMappingURL=injector.js.map