import { Page } from 'puppeteer';
import { PuppeteerExtraPlugin } from 'puppeteer-extra-plugin';
import { ISessionPluginOptions } from '../types';
/**
 * Puppeteer Extra Session Plugin
 */
export declare class SessionPlugin extends PuppeteerExtraPlugin {
    /**
     * Constructor
     * Receives standard puppeteer-extra plugin config options.
     */
    constructor(opts?: ISessionPluginOptions);
    /**
     * Describe the identifier for plugin.
     */
    get name(): string;
    onPageCreated(page: Page): Promise<void>;
}
/**
 * Export plugin factory as default export.
 */
declare const _default: () => SessionPlugin;
export default _default;
