'use strict';
Object.defineProperty(exports, '__esModule', { value: true });
exports.getDatabaseNames = void 0;
const schemas_1 = require('../../schemas');
// TODO: change this to an appropriate name
async function getDatabaseNames(page, securityOrigin) {
  const session = await page.target().createCDPSession();
  let dbNames;
  try {
    const resp = schemas_1.CDPIndexedDBDatabaseNames.parse(
      await session.send('IndexedDB.requestDatabaseNames', {
        securityOrigin,
      }),
    );
    dbNames = resp.databaseNames;
  } catch (err) {
    if (err.message.includes('No document for given frame found')) {
      dbNames = [];
    } else {
      throw err;
    }
  }
  await session.detach();
  return dbNames;
}
exports.getDatabaseNames = getDatabaseNames;
//# sourceMappingURL=database-names.js.map
