'use strict';
Object.defineProperty(exports, '__esModule', { value: true });
exports.getIndexedDB = void 0;
const schemas_1 = require('../../schemas');
const dexie_1 = require('./dexie');
function generateContentScript(dbName) {
  return `
  (async() => {
    ${dexie_1.dexieCore}
    ${dexie_1.dexieExportImport}
    const db = await new Dexie("${dbName}").open();
    const blob = await db.export();
    return blob.text();
  })()`;
}
// STEALTH: isolated worlds
async function getIndexedDB(page, dbName) {
  const result = await page.evaluate(generateContentScript(dbName));
  return schemas_1.IndexedDBSchema.parse(result);
}
exports.getIndexedDB = getIndexedDB;
//# sourceMappingURL=get.js.map
