'use strict';
Object.defineProperty(exports, '__esModule', { value: true });
exports.setAllIndexedDB = exports.getAllIndexedDB = void 0;
const database_names_1 = require('./database-names');
const get_1 = require('./get');
const set_1 = require('./set');
/**
 * @param securityOrigin get this from the "application > IndexedDB" developper panel
 * @returns databases
 */
async function getAllIndexedDB(page, securityOrigin) {
  const dbNames = await database_names_1.getDatabaseNames(page, securityOrigin);
  const indexedDBs = await Promise.all(
    dbNames.map((db) => get_1.getIndexedDB(page, db)),
  );
  return dbNames.map((db, index) => {
    return {
      name: db,
      data: indexedDBs[index],
      securityOrigin,
    };
  });
}
exports.getAllIndexedDB = getAllIndexedDB;
async function setAllIndexedDB(page, databases) {
  for (const db of databases) {
    if (!page.url().includes(db.securityOrigin)) {
      await page.goto(db.securityOrigin);
    }
    await set_1.setIndexedDB(page, db.data);
  }
}
exports.setAllIndexedDB = setAllIndexedDB;
//# sourceMappingURL=index.js.map
