'use strict';
Object.defineProperty(exports, '__esModule', { value: true });
exports.setIndexedDB = void 0;
const dexie_1 = require('./dexie');
function generateContentScript(data) {
  return `(async() => {
    ${dexie_1.dexieCore}
    ${dexie_1.dexieExportImport}
    const importBlob = new Blob([\`${data}\`], { type: "text/json" });
    const importDB = await Dexie.import(importBlob, { overwriteValues: true });
    return importDB.backendDB();
  })()`;
}
// STEALTH: isolated worlds
// TODO: investigate database versions
async function setIndexedDB(page, data) {
  await page.evaluate(generateContentScript(data));
}
exports.setIndexedDB = setIndexedDB;
//# sourceMappingURL=set.js.map
