"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SessionStorageProvider = void 0;
const storage_provider_1 = require("../classes/storage-provider");
class SessionStorageProvider extends storage_provider_1.StorageProvider {
    get name() {
        return storage_provider_1.StorageProviderName.SessionStorage;
    }
    async get(page) {
        // STEALTH: use isolated worlds
        return page.evaluate(() => JSON.stringify(Object.assign({}, window.sessionStorage)));
    }
    async set(page, data) {
        // STEALTH: use isolated worlds
        await page.evaluate((sessionStorage) => {
            for (const [key, val] of Object.entries(JSON.parse(sessionStorage))) {
                window.sessionStorage.setItem(key, val);
            }
        }, data);
    }
}
exports.SessionStorageProvider = SessionStorageProvider;
//# sourceMappingURL=sessionStorage.js.map